curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/bids \
--header 'Authorization: Bearer <token>'{
"hasMore": true,
"bids": [
{
"bidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": {
"id": "<string>",
"type": "product"
},
"isActive": true,
"triggers": [
{
"type": "<string>",
"value": {
"words": [
"<string>"
],
"matchType": "exact"
}
}
],
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "active",
"amount": "<unknown>",
"trigger": {
"type": "<string>",
"value": {
"words": [
"<string>"
],
"matchType": "exact"
}
},
"location": "Santiago",
"bidsBehaviorData": "<string>",
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 123,
"height": 123
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "<string>",
"deviceType": "desktop"
}
}
],
"next": {
"offset": 123,
"limit": 123
}
}Endpoint to retrieve all campaign’s bids.
curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/bids \
--header 'Authorization: Bearer <token>'{
"hasMore": true,
"bids": [
{
"bidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": {
"id": "<string>",
"type": "product"
},
"isActive": true,
"triggers": [
{
"type": "<string>",
"value": {
"words": [
"<string>"
],
"matchType": "exact"
}
}
],
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "active",
"amount": "<unknown>",
"trigger": {
"type": "<string>",
"value": {
"words": [
"<string>"
],
"matchType": "exact"
}
},
"location": "Santiago",
"bidsBehaviorData": "<string>",
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 123,
"height": 123
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "<string>",
"deviceType": "desktop"
}
}
],
"next": {
"offset": 123,
"limit": 123
}
}A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
The ID of the campaign.
The pagination offset.
x >= 0The pagination limit.
0 <= x <= 100Successful Response
The public response body of the bids endpoints.
Was this page helpful?